﻿using System.ComponentModel.DataAnnotations;

namespace TestProject.Models
{
    /// <summary>
    /// 할일 입력 모델
    /// </summary>
    public class TodoInputModel
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 명칭 - Name

        /// <summary>
        /// 명칭
        /// </summary>
        [Required]
        public string Name { get; set; }

        #endregion
        #region 완료 여부 - IsComplete

        /// <summary>
        /// 완료 여부
        /// </summary>
        public bool IsComplete { get; set; }

        #endregion
    }
}