using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.RazorPages;
using System.Diagnostics;

namespace TestProject.Pages
{
    /// <summary>
    ///  
    /// </summary>
    [ResponseCache(Duration = 0, Location = ResponseCacheLocation.None, NoStore = true)]
    public class ErrorModel : PageModel
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region û ID - RequestID

        /// <summary>
        /// û ID
        /// </summary>
        public string RequestID { get; set; }

        #endregion
        #region û ID ǥ  - ShowRequestID

        /// <summary>
        /// û ID ǥ 
        /// </summary>
        public bool ShowRequestID => !string.IsNullOrEmpty(RequestID);

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region GET û óϱ - OnGet()

        /// <summary>
        /// GET û óϱ
        /// </summary>
        public void OnGet()
        {
            RequestID = Activity.Current?.Id ?? HttpContext.TraceIdentifier;
        }

        #endregion
    }
}